<script setup>
import {ref} from "vue";
const showModal = ref(false);
const newNote = ref("");
const notes =ref([]);

function getRandomColor() {
  color = "hsl(" + Math.random() * 360 + ", 100%, 75%)";
  return color;
}

const addButton = () =>{
  notes.value.push(
    {
      id:Math.floor(Math.random() * 100000),
      text: newNote.value,
      date: new Date(),
      backgroundColor: getRandomColor()
    }
  )
}


</script>
<template>
  <main>
    <div class="overlay" v-if="showModal">

        <div class="modal">
          <textarea v-model="newNote" name="note" id="note" cols="30" rows="10"></textarea>
          <button >
            Add Note {{ showModal }}
          </button>
          <button class="close" @click="showModal = false">Close</button>
        </div>
    </div>
    <div class="container">
      <header>
        <h1>Notes</h1>
        <button @click="showModal = true">+</button>
      </header>
      <div class="cards-container">
        <div class="card">
          <p class="main-text">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Rerum adipisci mollitia quis esse consectetur officia quidem perferendis aut ipsam! Facere magni illo odio nisi animi voluptas voluptate sequi distinctio cupiditate</p>
          <p class="date">04/27/2023</p>
        </div>
        <div class="card">
          <p class="main-text">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Rerum adipisci mollitia quis esse consectetur officia quidem perferendis aut ipsam! Facere magni illo odio nisi animi voluptas voluptate sequi distinctio cupiditate</p>
          <p class="date">04/27/2023</p>
        </div>
      </div>
    </div>
  </main>
</template>

<style scoped>
main {
  height: 100vh;
  width: 100vw;
}

.container {
  max-width: 1000px;
  padding: 10px;
  margin: 0 auto;
}
header{
  display: flex;
  justify-content: space-between;
  align-items: center;
}
h1{
  font-weight: bold;
  margin-bottom: 25px;
  font-size: 75pt;
}

header button{
  border:none;
  padding: 10px;
  width: 50px;
  height: 50px;
  cursor: pointer;
  background-color: rgb(21, 20, 20);
  border-radius: 100%;
  font-size: 20px;
  color: white;
}
.card{
  width: 255px;
  height: 255px;
  background-color: rgb(237,182,44);
  padding: 10px;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-right: 20px;
  margin-bottom: 20px;
}
.date{
  font-size: 18.5px;
  font-weight: bold;
}

.cards-container{
  display: flex;
  flex-wrap: wrap;
}
.overlay{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.77);
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}
.modal{
  width: 750px;
  background-color: white;
  border-radius: 10px;
  padding: 30px;
  position: relative;
  display: flex;
  flex-direction: column;
}
.modal button{
  padding: 10px 20px;
  font-size: 20px;
  width: 100%;
  background-color: blueviolet;
  border: none;
  color:white;
  cursor: pointer;
  margin-top: 10px;
}
.modal .close{
  background-color: red;
  margin-top: 10px;
}
</style>